# Quiz 1
You have one hour to complete this quiz. You are required to do section 1 & 2. Section 3 is a bonus section, which means do it if you finish the other two sections before the hour is up.

### **Instructions:**

1. Fork this Repository
    * [fork](https://help.github.com/articles/fork-a-repo/) this repository to your personal github account
    * [clone](https://help.github.com/articles/cloning-a-repository/) **your** `forked` repository to your local machine
    * Write the code to make all the tests pass. See below for instructions.
      * MAKE SURE YOUR CODE COMPILES
      * Run the test to verify your code
    * `git add .` to add files you want to commit
    * `git commit -m "commit message"` to commit your changes
    * `git push` your staged files to your remote repository
    * submit a `pull request` which compares Zipcoder `master` to your `master`

## Section 1 - MathUtilities
Make all the tests in the `MathUtilitiesTest` class pass. All the methods have been stubbed out for you in the `MathUtilities` class. Each of the method has a comment above it to describe the expected behavior. Look at the test case to see example of input and expected output.
  - `int add(int num1, int num2)`
  - `double add(double num1, double num2)`
  - `double half(int number)`
  - `boolean isOdd(int number)`
  - `int square(int number)`

## Section 2 - StringUtilities
Make all the tests in the `StringUtilitiesTest` class pass. All the methods have been stubbed out for you in the `StringUtilities` class. Each of the method has a comment above it to describe the expected behavior. Look at the test case to see example of input and expected output.

  - `Character getMiddleCharacter(String word)`
  - `String removeCharacter(String value, char charToRemove)`
  - `String getLastWord(String value)`

## Section 3 - Bonus
This section is optional, but highly encourage you to complete. Make all the tests in the `BonusTest` class pass. All the methods have been stubbed out for you in the `Bonus` class. Each of the method has a comment above it to describe the expected behavior. Look at the test case to see example of input and expected output.

  - `int factorial(int number)`
  - `String acronym(String phrase)`
  - `String encrypt(String word)`
